Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZCountry Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| fill (&$country_array)
| delete ( $id=false)
| id ()
| iso ()
| name ()
| hasVAT ()
| setISO ( $value)
| setName ( $value)
| setHasVAT ( $value)

## Static Public Member Functions
static & | getAllCount ( $search="")
static & | getAll ( $as_object=true, $search="", $offset=0, $max=-1)
static & | getAllArray ()

## Public Attributes
| $ID
| $ISO
| $Name
| $HasVAT

## Detailed Description

! eZAddress eZCountry handles countries.

Definition at line 38 of file ezcountry.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZCountry::__construct | ( |  | $id = `""` | ) |

Constructs a new eZCountry object.

Definition at line 43 of file ezcountry.php.

References $ID, $id, and fill().

## Member Function Documentation

## ◆ delete()

eZCountry::delete | ( |  | $id = `false` | ) |

Sletter adressen med ID == $id;

Definition at line 218 of file ezcountry.php.

References $db, $ID, $id, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ fill()

eZCountry::fill | ( | & | $country_array | ) |

Extracts the information from the array and puts it in the object.

Definition at line 106 of file ezcountry.php.

References $db, eZDB\globalDatabase(), and Name.

Referenced by __construct(), and get().

## ◆ get()

eZCountry::get | ( |  | $id = `""` | ) |

Fetches an country with object id==$id;

Definition at line 90 of file ezcountry.php.

References $db, $id, fill(), and eZDB\globalDatabase().

## ◆ getAll()

static& eZCountry::getAll | ( |  | $as_object = `true`,
|  |  | $search = `""`,
|  |  | $offset = `0`,
|  |  | $max = `-1`
| ) |  |
| static

Returns every country as a eZCountry object

Definition at line 143 of file ezcountry.php.

References $country, $db, $limit, $offset, $query, $search, and eZDB\globalDatabase().

## ◆ getAllArray()

static& eZCountry::getAllArray | ( |  | ) |
| static

Returns every country as an array. This function is faster then the one above.

Definition at line 196 of file ezcountry.php.

References $country, $db, and eZDB\globalDatabase().

## ◆ getAllCount()

static& eZCountry::getAllCount | ( |  | $search = `""` | ) |
| static

Returns the total number of countries

Definition at line 119 of file ezcountry.php.

References $db, $query, $search, and eZDB\globalDatabase().

## ◆ hasVAT()

eZCountry::hasVAT | ( |  | ) |

Returns true if the country has VAT, return false if not.

Definition at line 257 of file ezcountry.php.

## ◆ id()

eZCountry::id | ( |  | ) |

Returns the object ID.

Definition at line 233 of file ezcountry.php.

References $ID.

## ◆ iso()

eZCountry::iso | ( |  | ) |

Returns the ISO code of the country.

Definition at line 241 of file ezcountry.php.

References $ISO.

## ◆ name()

eZCountry::name | ( |  | ) |

Returns the name of the country.

Definition at line 249 of file ezcountry.php.

References $Name.

## ◆ setHasVAT()

eZCountry::setHasVAT | ( |  | $value | ) |

Sets if the country have VAT or not

Definition at line 284 of file ezcountry.php.

## ◆ setISO()

eZCountry::setISO | ( |  | $value | ) |

Sets the ISO code of the country.

Definition at line 268 of file ezcountry.php.

## ◆ setName()

eZCountry::setName | ( |  | $value | ) |

Sets the name of the country.

Definition at line 276 of file ezcountry.php.

References Name.

## ◆ store()

eZCountry::store | ( |  | ) |

Stores a country to the database.

Definition at line 59 of file ezcountry.php.

References $db, $name, $res, eZDB\finish(), eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $HasVAT

eZCountry::$HasVAT

Definition at line 296 of file ezcountry.php.

## ◆ $ID

eZCountry::$ID

Definition at line 293 of file ezcountry.php.

Referenced by __construct(), delete(), and id().

## ◆ $ISO

eZCountry::$ISO

Definition at line 294 of file ezcountry.php.

Referenced by iso().

## ◆ $Name

eZCountry::$Name

Definition at line 295 of file ezcountry.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezcountry.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.